/* CH06.c LCD 文字顯示實驗 */
#include <reg51.h> 		// 載入暫存器之標頭檔 
#include "display.h"	// 載入要顯示之字串及圖形 
#include "LCM.h"	 	// 載入LCD模組的函數 
// ======主程式 ===============================================
void main(void)
{	int i;				// 宣告變數 
	init_LCM();			// LCM 初始化 
	while(1)			// 無盡迴圈 
	{	for(i=0;i<LINE-1;i+=2)			// i迴圈,顯示字串,1次2列 
		{	reverse(0);					// 第0列反白 
			write_str(0,mes[i+0],200);	// 第0列,寫入字串,延遲200ms
			reverse(0);					// 第0列還原 
			reverse(1);					// 第1列反白 
			write_str(1,mes[i+1],200);	// 第1列,寫入字串,延遲200ms
				reverse(1);				/// 第1列還原 
				flash(0,3,200);			/// 文字,閃爍3次,延遲200ms
			rotate_left(16,400);		// 向左旋轉,16字,延遲400ms
			LDEL_str(0,50);				// 第0列,左側逐字消去   
			LDEL_str(1,50);				// 第1列,左側逐字消去 
		}								// i迴圈結束 
		write_bmp();					// 載入圖形 
		delay1ms(2000);					// 延遲2s
		flash(1,3,200);					// 圖形,閃爍3次,延遲200ms
		rotate_left(16,200);			// 向左旋轉,延遲200ms
		delay1ms(3000);					// 延遲3s
	}									// while結束 
}										// main()	結束 					
//  ===================== 程式結束=============================
